<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetShowInBOM Method (IEdmEnumeratorCustomReference7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference7 Interface : GetShowInBOM Method (IEdmEnumeratorCustomReference7)

Visual Basic
C#
C++/CLI

lFileID
  ID of referenced file

lFolderID
  ID of parent folder of referenced file

Gets whether the specified file's user-defined file references are shown in a BOM.

# Syntax

Visual Basic |
--- | ---

    Function GetShowInBOM( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool GetShowInBOM(
       System.int lFileID,
       System.int lFolderID
    )

C++/CLI |
--- | ---

    System.bool GetShowInBOM(
    &   System.int lFileID,
    &   System.int lFolderID
    )

#### Parameters

lFileID
  ID of referenced file
lFolderID
  ID of parent folder of referenced file

#### Return Value

True if the specified file's user-defined file references are shown in a BOM, false if not

# Example

Access Custom File References (C#)
Access Custom File References (VB.NET)

# See Also

####

IEdmEnumeratorCustomReference7 Interface
IEdmEnumeratorCustomReference7 Members
IEdmEnumeratorCustomReference7::GetShowInBOM Method ()

# Availability

SOLIDWORKS PDM Professional 2017